Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp	(revision 139)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp	(revision 144)
@@ -40,105 +40,107 @@
 
     if (not (is_behavioural and top_level))
-      if (top_level == true)
-	{
-	  switch (_direction)
-	    {
-	    case morpheo::behavioural::IN       : 
+      {//BURP : ajoue de la parenthÃšse ...
+	if (top_level == true)
+	  {
+	    switch (_direction)
 	      {
-		if (_is_map_as_toplevel_dest == false)
-		  {
-		    _return = false;
-		    
-		    str = "Signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
-		  }
-		break;
+	      case morpheo::behavioural::IN       : 
+		{
+		  if (_is_map_as_toplevel_dest == false)
+		    {
+		      _return = false;
+		      
+		      str = "Signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
+		    }
+		  break;
+		}
+	      case morpheo::behavioural::OUT      : 
+		{
+		  if (_is_map_as_toplevel_dest == false)
+		    {
+		      _return = false;
+		      str = "Signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
+		    }
+		  break;
+		}
+	      case morpheo::behavioural::INTERNAL : 
+		{
+		  if (_is_map_as_component_src  == false)
+		    {
+		      _return = false;
+		      
+		      str = "Internal signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
+		    }
+		  
+		  if (_is_map_as_component_dest == false)
+		    {
+		      if (_return == false)
+			str+="\n";
+		      
+		      _return = false;
+		      
+		      str += "Internal signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
+		    }
+		  
+		  break;
+		}
+		//case morpheo::behavioural::INOUT    :
+	      default    : break;
 	      }
-	    case morpheo::behavioural::OUT      : 
+	  }
+	else
+	  {
+	    // internal signal :
+	    // Component --- I/O       (as_src)
+	    // Component --- Component (as_src and as_dest)
+	    
+	    switch (_direction)
 	      {
-		if (_is_map_as_toplevel_dest == false)
-		  {
-		    _return = false;
-		    str = "Signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
-		  }
-		break;
+	      case morpheo::behavioural::IN       : 
+		{
+		  if (_is_map_as_component_src == false)
+		    {
+		      _return = false;
+		      
+		      str = "Signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
+		    }
+		  break;
+		}
+	      case morpheo::behavioural::OUT      : 
+		{
+		  if (_is_map_as_component_src == false)
+		    {
+		      _return = false;
+		      
+		      str = "Signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
+		    }
+		  break;
+		}
+	      case morpheo::behavioural::INTERNAL : 
+		{
+		  if (_is_map_as_component_src  == false)
+		    {
+		      _return = false;
+		      
+		      str = "Internal signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
+		    }
+		  
+		  if (_is_map_as_component_dest == false)
+		    {
+		      if (_return == false)
+			str+="\n";
+		      
+		      _return = false;
+		      
+		      str += "Internal signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
+		    }
+		  
+		  break;
+		}
+		//case morpheo::behavioural::INOUT    :
+	      default    : break;
 	      }
-	    case morpheo::behavioural::INTERNAL : 
-	      {
-		if (_is_map_as_component_src  == false)
-		  {
-		    _return = false;
-		    
-		    str = "Internal signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
-		  }
-		
-		if (_is_map_as_component_dest == false)
-		  {
-		    if (_return == false)
-		      str+="\n";
-		    
-		    _return = false;
-		    
-		    str += "Internal signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
-		  }
-		
-		break;
-	      }
-	      //case morpheo::behavioural::INOUT    :
-	    default    : break;
-	    }
-	}
-      else
-	{
-	  // internal signal :
-	  // Component --- I/O       (as_src)
-	  // Component --- Component (as_src and as_dest)
-	  
-	  switch (_direction)
-	    {
-	    case morpheo::behavioural::IN       : 
-	      {
-		if (_is_map_as_component_src == false)
-		  {
-		    _return = false;
-		    
-		    str = "Signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
-		  }
-		break;
-	      }
-	    case morpheo::behavioural::OUT      : 
-	      {
-		if (_is_map_as_component_src == false)
-		  {
-		    _return = false;
-		    
-		    str = "Signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
-		  }
-		break;
-	      }
-	    case morpheo::behavioural::INTERNAL : 
-	      {
-		if (_is_map_as_component_src  == false)
-		  {
-		    _return = false;
-		    
-		    str = "Internal signal \""+signame+"\" is not mapped with an outpout port top-level's interface or a input port component's interface.";
-		  }
-		
-		if (_is_map_as_component_dest == false)
-		  {
-		    if (_return == false)
-		      str+="\n";
-		    
-		    _return = false;
-		    
-		    str += "Internal signal \""+signame+"\" is not mapped with an input port top-level's interface or a output port component's interface.";
-		  }
-		
-		break;
-	      }
-	      //case morpheo::behavioural::INOUT    :
-	    default    : break;
-	    }
-	}
+	  }
+      }
 
     if (_return == false)
